import { StyleSheet } from 'react-native'
import appColors from '../../../../../theme/appColors'
import appFonts from '../../../../../theme/appFonts'
import {
  windowHeight,
  windowWidth,
  fontSizes,
} from '../../../../../theme/appConstant'

const styles = StyleSheet.create({
  pickerButton: {
    flexDirection: 'row',
    alignItems: 'center',
    // paddingHorizontal: windowWidth(4),
    justifyContent: 'space-between',
  },
  codeText: {
    fontSize: fontSizes.FONT3SMALL,
    color: appColors.black,
    width: '90%',
  },
  container: { marginVertical: windowHeight(2) },
  main: {
    borderRadius: windowWidth(5),
    marginHorizontal: windowWidth(5),
  },
  mainTitle: {
    fontSize: fontSizes.FONT5,
    fontFamily: appFonts.semiBold,
    alignSelf: 'center',
  },
  subTitle: {
    color: appColors.secondaryFont,
    marginTop: windowHeight(0.5),
    fontSize: fontSizes.FONT3HALF,
    fontFamily: appFonts.regular,
  },
  contactTitle: {
    marginTop: windowHeight(2.5),
    marginBottom: windowHeight(1.5),
    fontFamily: appFonts.medium,
  },
  codeComponent: {},
  button: {
    marginTop: windowHeight(3),
  },
  countryCodeContainer: {
    alignSelf: 'center',
    width: '92%',
    borderWidth: windowWidth(0.45),
    borderRadius: windowWidth(15),
    height: windowHeight(6),
    paddingHorizontal: windowWidth(4),
  },
  countryCode: {
    height: windowHeight(5.9),
    width: windowWidth(15),
    paddingHorizontal: windowWidth(1.5),
    paddingVertical: windowHeight(1),
    alignItems: 'center',
    justifyContent: 'center',
  },
  countryCode1: {
    height: windowHeight(5.9),
    width: windowWidth(17),
    paddingHorizontal: windowWidth(4.5),
    paddingVertical: windowHeight(1),
    alignItems: 'center',
    justifyContent: 'center',
  },
  dialCode: {
    color: appColors.secondaryFont,
    fontSize: fontSizes.FONT3HALF,
    fontFamily: appFonts.medium,
  },

  errorText: {
    color: appColors.red,
    fontSize: fontSizes.FONT3,
    marginTop: windowHeight(0.5),
    marginHorizontal: windowWidth(5),
  },
  demoBtn: { marginTop: windowHeight(2) },
  line: {
    height: windowHeight(0.6),
    width: windowWidth(10),
    backgroundColor: appColors.primary,
    borderRadius: windowWidth(25),
    alignSelf: 'center',
    marginTop: windowHeight(2),
  },
  mainView: {
    alignItems: 'center',
    marginBottom: windowHeight(3),
    marginTop: windowHeight(-4),
  },
  box: {
    height: windowHeight(6),
    width: '50%',
    borderBottomWidth: windowHeight(0.3),
    alignItems: 'center',
    justifyContent: 'center',
  },
  buttonText: {
    fontFamily: appFonts.medium,
    fontSize: fontSizes.FONT4,
    marginTop: windowHeight(1.5),
  },
  divison: {
    height: windowHeight(3),
    width: windowWidth(0.4),
    backgroundColor: appColors.red,
    alignSelf: 'center',
    marginRight: windowWidth(4),
    marginLeft: windowWidth(-1),
  },
  title: {
    fontFamily: appFonts.medium,
    fontSize: fontSizes.FONT3HALF1,
    marginBottom: windowHeight(1),
    marginHorizontal: windowWidth(5),
  },
})
export default styles
